PHP, Apache, and MySQL upgrades
Posted by: jkoelker01 (---.client.mchsi.com)
Date: May 22, 2017 11:29PM

I have a question in regards to updating PHP, Apache, and MySQL. Our current wampserver environment was setup for us by a third party and is incorrectly setup. I've been through this before. The site was not setup as a vhost and is structured incorrrectly. The site being hosted through Wamp does work, however when I upgrade and setup vhosts according to documentation, it breaks my theme of my wordpress site each time.

Either way, I'm wanting to know about upgrading the various individual programs to at least hit a higher version that has been patched more. With my version of Wampserver being 2.5, how high can I go for a PHP version? Same question for Apache and MySQL. I've updated the PHP version manually one other time and have instructions for that and will research the other two for updates. I have a Virtual machine that I can snapshot and such if things go awry. Can you help out and provide me those answers as to how high of a version I can go to? See below for my current setup. Thanks in advance.

1 - Windows version used: Windows 2008 R2 64-bit
2 - Version WampServer: 2.5 32-bit
3 - Apache Version: 2.4.9
4 - PHP Version: 5.5.34
5 - MySQL Version: 5.6.17
6 - What color is the WampServer icon: Green

7 - In the file c:\Windows\System32\drivers\etc\hosts, what are the active lines with the name [localhost] in them?
* Active means no # at the beginning of the line.

If the WampServer icon is green:

8 - Do you have access to localhost (Homepage WampServer)?
8a - If so, is there an error message at the bottom of the page?

9 - Do you have access to phpMyAdmin: Yes

10 - If you refer to an error message, please include the EXACT wording of the error in your post: none
11 - If you use an Antivirus and / or Firewall, please include the names of these: Trend Micro
12 - What is the full path to the installation of WampServer (eg D:\wamp\): F:\wampserver
13 - If you have one or more Virtual Hosts defined, please show their definition(s)

Options: ReplyQuote
Re: PHP, Apache, and MySQL upgrades
Posted by: Otomatic (Moderator)
Date: May 23, 2017 09:38AM

Hi,

There is no addon, nor any evolution of version Apache, PHP or MySQL for Wampserver 2.5.

On the other hand, you can upgrade your Wampserver 2.5 version to Wampserver 3.0.3 without changing the Apache, PHP and MySQL versions you currently use.

Then you apply the update 3.0.8 and you can then add by "addon" new versions of Apache, PHP, MySQL and even MariaDB.

See WAMPserver 3 - All you need to know

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.1 32 bit - Apache 2.4.29 - PHP 7.1.12/7.0.26/5.6.32 - MySQL 5.7.20 - MariaDB 10.2.9
Wampserver 3.1.1 64 bit - Apache 2.4.29 - PHP 7.1.12/7.0.26/5.6.32 - MySQL 5.7.20 - MariaDB 10.2.9
PhPMyAdmin 4.7.5 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: PHP, Apache, and MySQL upgrades
Posted by: jkoelker01 (---.client.mchsi.com)
Date: May 23, 2017 03:37PM

Thanks for the reply Otomatic.

Unfortunately whenever I upgrade, it breaks my theme to my wordpress site. I literally can simply do the upgrade, not choose any different versions of php, apache and mysql and the theme simply breaks to my site. All I will see is text incorrectly formatted and no wordpress theme.

The site was setup incorrectly from the beginning by a third party and now I've attempted multiple times to upgrade it but no matter what I do, the theme breaks and I can't seem to correct it.

Options: ReplyQuote
Re: PHP, Apache, and MySQL upgrades
Posted by: RiggsFolly (Moderator)
Date: May 23, 2017 04:04PM

So these are all WordPress issues.

I would take these problems and ask on the WordPress forum, we are not WordPress experts

---------------------------------------------------------------------------------------------
(Windows 7 Pro 32bit) (Wampserver 3.0.6 32bit)
<Apache 2.4.23/2.2.31> <PHP 7.1.2/7.0.16/5.6.28/5.5.38/5.4.45/5.3.29> <MySQL 5.7.10/5.6.17/5.5.28>
<MariaDB 10.1.21> <phpMyAdmin4.7.5> <MySQL Workbench 6.3.6.511>

Read The Manuals Apache -- MySQL -- PHP -- phpMyAdmin -- WAMPServer alternate Repo
-?-?-?- Backup your MySQL databases regularly Here is How dont regret it later! Yes even when developing -?-?-?-

Options: ReplyQuote


Sorry, only registered users may post in this forum.